/**
    @file  DoxygenBug.c
    
    @brief Line 19 breaks parsing. 
			"/*" seems to be recognized as start of comment block
			putting in a block comment at the end of that line helps in this minimal example
*/

void main(void);

void function(void);

/*! Doxygen Docu 
* This function breaks parsing
*/
void main(void)
{
	#ifdef AN_UNDEFINED_CONSTANT	
	sprintf(filename, "%s/*.*", dirname); 
	#endif
}

/**************************************/
/*! Doxygen Docu 
* This function won't be parsed
*/
void function(void)
{
    return;
}